#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		appbase		gstreamer
#-----------------------------------------------------------------------------
Name		:	gst-plugins-good
Version		:	1.24.7
Release		:	17.0.10.rel%{?dist}
Summary		:	A set of GStreamer plugins considered good

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://gstreamer.freedesktop.org/src/gst-plugins-base/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	at-spi2-core-devel
BuildRequires	:	flac-devel
BuildRequires	:	gstreamer >= %{version}
BuildRequires	:	gst-plugins-base	>= %{version}
BuildRequires	:	gtk3+
BuildRequires	:	jack2-devel
BuildRequires	:	json-glib
BuildRequires	:	lame
BuildRequires	:	libv4l-devel
BuildRequires	:	libsoup
BuildRequires	:	libvpx
BuildRequires	:	meson
BuildRequires	:	nasm
BuildRequires	:	ninja
BuildRequires	:	orc-devel
BuildRequires	:	pulseaudio
BuildRequires	:	qt6-qtbase-devel
BuildRequires	:	speex
BuildRequires	:	taglib-devel
BuildRequires	:	valgrind-devel

#-----------------------------------------------------------------------------
%description
GStreamer Good Plug-ins is is a set of plug-ins
that the developers consider to have good quality
code, correct functionality, and their preferred 
icense (LGPL for the plug-in code, LGPL or
LGPL-compatible for the supporting library).
#-----------------------------------------------------------------------------
%files			-f %{name}-1.0.lang
%defattr(-, root,root,-)
%doc AUTHORS NEWS README* RELEASE
%{_libdir}/gstreamer-1.0/lib*.so
%{_datadir}/gstreamer-1.0/presets/Gst*.prs

#=============================================================================
%prep
%setup 

#-----------------------------------------------------------------------------
#building application
%build

%define	gstname	"GStreamer Good Plugins %{version} Osukiss"
%define	gstorig	"https://gstreamer.freedesktop.org/src/gstreamer"

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--wrap-mode=nodownload				\
	-D buildtype=release				\
	-D package-origin=%{gstorig}			\
	-D package-name=%{gstname}			\
	-D tests=enabled				\
	_bld

meson							\
	compile						\
	-C _bld						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
meson							\
	test						\
	-C _bld						\
		`meson test --list -C _bld	|	\
		 grep -v elements_flvmux	|	\
		 grep -v elements_rtp_payloading`


#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
		-C _bld					\
		--destdir=%{buildroot}

%find_lang	%{name}-1.0

#-----------------------------------------------------------------------------
%changelog
